- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moLinearCoolingSchedule Class Reference

One of the possible moCoolingSchedule. More...

`#include <moLinearCoolingSchedule.h>`

Inheritance diagram for moLinearCoolingSchedule:

List of all members.

## Public Member Functions
| moLinearCoolingSchedule (double __threshold, double __quantity)
| Simple constructor.
bool | operator() (double &__temp)
| Function which proceeds to the cooling.
## Private Attributes
double | threshold
| The temperature threhold.
double | quantity
| The quantity that allows the temperature to decrease.

## Detailed Description

One of the possible moCoolingSchedule.

An another very simple cooling schedule, the temperature decrease according to a quantity while the temperature is greater than a threshold.

Definition at line 22 of file moLinearCoolingSchedule.h.

## Constructor & Destructor Documentation

moLinearCoolingSchedule::moLinearCoolingSchedule | ( | double | __threshold,
|  | double | __quantity |
| ) |  |  | `[inline]`

Simple constructor.

Parameters:

  | __threshold | the threshold.
  | __quantity | the quantity used to descrease the temperature.

Definition at line 31 of file moLinearCoolingSchedule.h.

## Member Function Documentation

bool moLinearCoolingSchedule::operator() | ( | double & | __temp | ) | `[inline]`

Function which proceeds to the cooling.

It decreases the temperature and indicates if it is greater than the threshold.

Parameters:

  | __temp | the current temperature.

Returns:
  if the new temperature (current temperature - quantity) is greater than the threshold.

Definition at line 41 of file moLinearCoolingSchedule.h.

References quantity, and threshold.

The documentation for this class was generated from the following file:

- moLinearCoolingSchedule.h